<html>
<head>
<title>/home/cabal/programming/ogre/sources/ogre_src_v1-8-0/Components/RTShaderSystem/include/ -&gt; OgreMain Relation - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_1ff0a99c786b1c34b8d04ba7e7285590.html">RTShaderSystem</a>      </li>
      <li class="navelem"><a class="el" href="dir_167378df2bdccc9b313fc91c17987f1d.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h3>include &rarr; OgreMain Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in Components/RTShaderSystem/include</th><th class="dirtab">Includes file in OgreMain</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderFunctionAtom_8h.html">OgreShaderFunctionAtom.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreGpuProgram_8h.html">OgreGpuProgram.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderFunctionAtom_8h.html">OgreShaderFunctionAtom.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreSingleton_8h.html">OgreSingleton.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderFunctionAtom_8h.html">OgreShaderFunctionAtom.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreStringVector_8h.html">OgreStringVector.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderGenerator_8h.html">OgreShaderGenerator.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreRenderObjectListener_8h.html">OgreRenderObjectListener.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderGenerator_8h.html">OgreShaderGenerator.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreSceneManager_8h.html">OgreSceneManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderGenerator_8h.html">OgreShaderGenerator.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreScriptTranslator_8h.html">OgreScriptTranslator.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderGenerator_8h.html">OgreShaderGenerator.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreSingleton_8h.html">OgreSingleton.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderGLSLESProgramProcessor_8h.html">OgreShaderGLSLESProgramProcessor.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreStringVector_8h.html">OgreStringVector.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderGLSLProgramProcessor_8h.html">OgreShaderGLSLProgramProcessor.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreStringVector_8h.html">OgreStringVector.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderMaterialSerializerListener_8h.html">OgreShaderMaterialSerializerListener.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreMaterialSerializer_8h.html">OgreMaterialSerializer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderParameter_8h.html">OgreShaderParameter.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreGpuProgram_8h.html">OgreGpuProgram.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderParameter_8h.html">OgreShaderParameter.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreMatrix4_8h.html">OgreMatrix4.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderParameter_8h.html">OgreShaderParameter.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreVector2_8h.html">OgreVector2.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderParameter_8h.html">OgreShaderParameter.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreVector3_8h.html">OgreVector3.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderParameter_8h.html">OgreShaderParameter.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreVector4_8h.html">OgreVector4.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderPrerequisites_8h.html">OgreShaderPrerequisites.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreCommon_8h.html">OgreCommon.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderPrerequisites_8h.html">OgreShaderPrerequisites.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderProgram_8h.html">OgreShaderProgram.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreGpuProgram_8h.html">OgreGpuProgram.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderProgram_8h.html">OgreShaderProgram.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreSingleton_8h.html">OgreSingleton.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderProgram_8h.html">OgreShaderProgram.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreStringVector_8h.html">OgreStringVector.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderProgramSet_8h.html">OgreShaderProgramSet.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreGpuProgram_8h.html">OgreGpuProgram.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderProgramWriter_8h.html">OgreShaderProgramWriter.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreGpuProgram_8h.html">OgreGpuProgram.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderProgramWriter_8h.html">OgreShaderProgramWriter.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreString_8h.html">OgreString.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderProgramWriter_8h.html">OgreShaderProgramWriter.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreStringSerialiser_8h.html">OgreStringSerialiser.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderProgramWriterManager_8h.html">OgreShaderProgramWriterManager.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreException_8h.html">OgreException.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderProgramWriterManager_8h.html">OgreShaderProgramWriterManager.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreSingleton_8h.html">OgreSingleton.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderRenderState_8h.html">OgreShaderRenderState.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreSharedPtr_8h.html">OgreSharedPtr.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderScriptTranslator_8h.html">OgreShaderScriptTranslator.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreScriptCompiler_8h.html">OgreScriptCompiler.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderScriptTranslator_8h.html">OgreShaderScriptTranslator.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreScriptTranslator_8h.html">OgreScriptTranslator.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderSubRenderState_8h.html">OgreShaderSubRenderState.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreGpuProgram_8h.html">OgreGpuProgram.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderSubRenderState_8h.html">OgreShaderSubRenderState.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreMaterialSerializer_8h.html">OgreMaterialSerializer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderSubRenderState_8h.html">OgreShaderSubRenderState.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreSceneManager_8h.html">OgreSceneManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreShaderSubRenderState_8h.html">OgreShaderSubRenderState.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreScriptCompiler_8h.html">OgreScriptCompiler.h</a></td></tr></table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:34
</p>
</body>
</html>
